package com.ruoyi.web.modules.order.vo;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 物流节点
 */
public class OrderTraceVO
{
    private String traceType;

    private String traceTypeLabel;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date traceTime;

    private String content;

    private String createBy;

    public String getTraceType()
    {
        return traceType;
    }

    public void setTraceType(String traceType)
    {
        this.traceType = traceType;
    }

    public String getTraceTypeLabel()
    {
        return traceTypeLabel;
    }

    public void setTraceTypeLabel(String traceTypeLabel)
    {
        this.traceTypeLabel = traceTypeLabel;
    }

    public Date getTraceTime()
    {
        return traceTime;
    }

    public void setTraceTime(Date traceTime)
    {
        this.traceTime = traceTime;
    }

    public String getContent()
    {
        return content;
    }

    public void setContent(String content)
    {
        this.content = content;
    }

    public String getCreateBy()
    {
        return createBy;
    }

    public void setCreateBy(String createBy)
    {
        this.createBy = createBy;
    }
}
